package com.jd.cfo.entry;

import com.jd.cfo.api.entry.AcctModelConfig;
import com.jd.cfo.api.entry.BizGroupConfig;
import com.jd.cfo.api.model.TableInfo;
import com.jd.cfo.engine.AcctJobSession;
import com.jd.cfo.engine.common.log.JobLog;
import com.jd.cfo.engine.util.SparkUtil;
import com.jd.cfo.entry.EntryJobRunner;
import java.util.Arrays;
import java.util.HashMap;

public class SparkLauncher {

   private static final AcctJobSession sparkSession = AcctJobSession.create(SparkUtil.sparkSession());


   public static void main(String[] args) {
      JobLog.log("Entry Generator Start: args.length = {}, args = {}", new Object[]{Integer.valueOf(args.length), Arrays.toString(args)});

      try {
         String e = args[0];
         JobLog.log("Init spring-config.xml ==>");
         BizGroupConfig configuration = new BizGroupConfig();
         HashMap acctModelConfigs = new HashMap();
         AcctModelConfig acctModelConfig = new AcctModelConfig();
         TableInfo tableInfo = new TableInfo();
         tableInfo.setProject("idm");
         tableInfo.setTable("idm_cfo_fin_settle_expense_cmi");
         tableInfo.setPartition("AP");
         tableInfo.setDs("2025-02");
         acctModelConfig.setTableInfo(tableInfo);
         acctModelConfigs.put("test_model_code", acctModelConfig);
         configuration.setAcctModelConfigs(acctModelConfigs);
         EntryJobRunner jobRunner = new EntryJobRunner();
         jobRunner.execute(sparkSession, (BizGroupConfig)configuration);
      } catch (Throwable var10) {
         JobLog.error("Entry Generator Exception：{}", new Object[]{var10, var10});
         throw var10;
      } finally {
         if(sparkSession != null) {
            sparkSession.getSparkSession().stop();
            sparkSession.getSparkSession().close();
         }

      }

   }

}
